Skip to main content
Get Cluster Instance.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed

Response

A successful response.

Cluster Instance detail

name
string
required

User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the cluster instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
clusterType
enum<string>
default:CLUSTER_TYPE_UNSPECIFIED
required

Type of cluster

Available options:
CLUSTER_TYPE_UNSPECIFIED,
CLUSTER_TYPE_K3S,
CLUSTER_TYPE_TKG_ATTACH
projectId
string
required

project id which the given cluster instance belong to

edgeNodePoolTags
object
required

edgeNodePoolTags are name/value pairs that enables us to identify edgeNodes which are part of a ClusterInstance. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

serverAppInst
Cluster config details · object
required

app instance object for server node

agentAppInst
App Instance detail · object
required

app instance object for agent node

minEdgeDevices
number<int64>
required

Minimum number of edge device required for the cluster instance

maxEdgeDevices
number<int64>
required

Maximum number of edge device allowed in the cluster instance

minServerNodes
number<int64>
required

Minimum number of server nodes required for the cluster instance

maxServerNodes
number<int64>
required

Maximum number of server nodes allowed in the cluster instance

minAgentNodes
number<int64>
required

Minimum number of agent nodes required for the cluster instance

maxAgentNodes
number<int64>
required

Maximum number of agent nodes allowed in the cluster instance

callHomeURL
string
required

CallHome URL for the cluster to fetch configuration details

clusterOnboardType
enum<string>
default:CLUSTER_ONBOARD_TYPE_UNSPECIFIED
required

Cluster Instance orchestrator onboard type

Available options:
CLUSTER_ONBOARD_TYPE_UNSPECIFIED,
CLUSTER_ONBOARD_TYPE_MANUAL,
CLUSTER_ONBOARD_TYPE_AUTOMATIC
id
string
read-only

System defined universally unique Id of the cluster instance

Pattern: [0-9A-Za-z-]+
description
string

Detailed description of the cluster instance

Maximum string length: 256
tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

revision
deprecated 8; · object

cluster instance object revision details

activate
string

cluster instance activation flag

clusterPolicyId
string

System defined universally unique Id of the cluster policy

Pattern: [0-9A-Za-z-]+
orchestrationProvider
enum<string>
default:ORCHESTRATOR_PROVIDER_UNSPECIFIED

Orchestrator type

Available options:
ORCHESTRATOR_PROVIDER_UNSPECIFIED,
ORCHESTRATOR_PROVIDER_RANCHER
orchestratorPluginID
string
read-only

System defined universally unique Id of the orchestrator plugin

Pattern: [0-9A-Za-z-]+
orchestratorConfig
Configuration required for the cluster orchestrator integration · object

Orchestrator config

netInstConfig
Network instance detailed configuration · object[]

Network instance config to enforce on all devices of this cluster

orchestratorClusterURL
string
read-only

Href for the third-party cluster object.

Pattern: [0-9A-Za-z-]+
dbEndpoint
string

External DataBase endpoint for the server to communicate and sync

devIds
string[]

List of Edge Node Ids to deploy the cluster instance